require "json"

package = JSON.parse(File.read(File.join(__dir__, "package.json")))

Pod::Spec.new do |s|
  s.name         = "react-native-geolocation-amap"
  s.version      = package["version"]
  s.summary      = package["description"]
  s.description  = <<-DESC
                  react-native-geolocation-amap
                   DESC
  s.homepage     = "https://github.com/Jeepeng/react-native-geolocation-amap"
  s.license      = "MIT"
  # s.license    = { :type => "MIT", :file => "FILE_LICENSE" }
  s.authors      = { "Jeepeng" => "jeepeng@jeepeng.com" }
  s.platforms    = { :ios => "9.0" }
  s.source       = { :git => "https://github.com/Jeepeng/react-native-geolocation-amap.git", :tag => "#{s.version}" }

  s.source_files = "ios/**/*.{h,m,swift}"
  s.requires_arc = true

  s.dependency "React"
  s.dependency 'AMapLocation-NO-IDFA', "~> 2.6.0"
end

